UNIT EDSys;
{                                                          }
{ Epic Delusions MM Libs: OS/Compiler Definitions v0.5     }
{ Copyright 1998 Orlando Llanes aka WundrDawg              }
{ Defines routines needed to make EDMML work with compiler }
{                                                          }

INTERFACE

USES
  EDDef;

TYPE
  Size_T = Cardinal;

CONST
  fsSeekSet = 0;
  fsSeekCur = 1;
  fsSeekEnd = 2;

  { stdio.h }
  FUNCTION fopen( zFileName, zMode : PChar ): Pointer; C;
  FUNCTION fclose( zStream : Pointer ): Boolean; C;

  FUNCTION fgetpos( zStream : Pointer; VAR zPos): Boolean; C;
  FUNCTION fseek( zStream : Pointer; zOffset, zMode : EDUInt32 ):Boolean;C;

  FUNCTION fread( zOutBuf : Pointer; zNumElements, zSizeOfElements : Size_T;
                  zStream : Pointer ): Size_T; C;
  FUNCTION fwrite( zInBuf : Pointer; zNumElements, zSizeOfElements : Size_T;
                   zStream : Pointer ): Size_T; C;

  { string.h }
  PROCEDURE memset( VAR zDest; zValue : Cardinal; zCount : Size_T ); C;

IMPLEMENTATION

END.
