PROGRAM TestPcx;

USES
  EDDef, EDFile, PCX;

TYPE
  TSTShip = RECORD
    Width,
    Height,
    Format,
    Size    : EDUInt32;
    Data    : ARRAY[ 0..95, 0..131 ] OF EDUInt8;
  END;

  TDShip = RECORD
    Width,
    Height,
    Format,
    Size    : EDUInt32;
    Data    : ARRAY[ 0..31, 0..28 ] OF EDUInt8;
  END;

VAR
  OutF   : PFileIO;

  { From DATA.OUT }
  DShip  : ASMName 'dship' TDShip;
  STShip : ASMName 'stship' TSTShip;
  Pal    : ASMName 'pal' ARRAY[ 1..768 ] OF Byte;

BEGIN
  New( OutF, Open( 'test.pcx', fmWrite, 0 ) );
  PCXEncode( OutF, DShip.Width, DShip.Height, @DShip.Data[0, 0], Pal );
  Dispose( OutF );
END.
